!set title=Calcular elementos de una matriz 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=r
varcnt=19
prevarcnt=18
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(10)]
val7=$[rint($val6/2)]
tmp0=!randint -$val6, $val6

tmp1=!randint -$val6, $val6

tmp2=!randint -$val6, $val6

tmp3=!randint -$val6, $val6

tmp=!trim $(tmp0),$(tmp1)	$(tmp2),$(tmp3)	
val8=!translate internal $	\
$ to ;; in $tmp
tmp0=!randint -$val7, $val7

tmp1=!randint -$val6, $val6

tmp2=!randint -$val7, $val7

tmp3=!randint -$val7, $val7

tmp=!trim 2*$(tmp0)+1,$(tmp1)	2*$(tmp2),2*$(tmp3)+1	
val9=!translate internal $	\
$ to ;; in $tmp
tmp0=!shuffle 2

val10=$(tmp0)
tmp0=!shuffle 2

val11=$(tmp0)
t_=!replace internal \( by ( in print(vecextract([$val9],[$val10],[$val11]))
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val9=!translate internal $	\
$ to ;; in $tmp
tmp0=!randitem 1,2

val12=$[rint($(tmp0))]
!if $val12=1 
t_=!replace internal \( by ( in print([$val9]*[$val8])
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val13=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val9

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val14=$(tmp0)
tmp=!translate internal $	$ to ; in $val9

tmp=!row 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val15=$(tmp0)
tmp=!translate internal $	$ to ; in $val13

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val16=$(tmp0)
tmp=!translate internal $	$ to ; in $val13

tmp=!row 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val17=$(tmp0)
!else
t_=!replace internal \( by ( in print([$val8]*[$val9])
tmp0=!exec pari $t_

tmp=!trim $(tmp0)
val13=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val9

tmp=!column 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
tmp1=!items2lines $(tmp0)

tmp=!trim $(tmp1)
val14=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val9

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
tmp1=!items2lines $(tmp0)

tmp=!trim $(tmp1)
val15=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val13

tmp=!column 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
tmp1=!items2lines $(tmp0)

tmp=!trim $(tmp1)
val16=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val13

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
tmp1=!items2lines $(tmp0)

tmp=!trim $(tmp1)
val17=!translate internal $	\
$ to ;; in $tmp
!endif
replytype1=matrix
replyname1=A
replygood1=$val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Tenemos una matriz 
!insmath A
$(), 2&times;2 tal que	<p><center>	 
!if $val12=1 
$()	 
!insmath [$val14]*A = [$val16]
$() , <br>	 
!insmath [$val15]*A = [$val17]
$() .	 
!else
$() 	 
!insmath A*[$val14] = [$val16]
$() , 	 
!insmath A*[$val15] = [$val17]
$() .	 
!endif
$()	</center> <p>	Calcular 
!insmath A
$().	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=12,14,15,16,17
embedcnt=0
